data aa;
infile '/home/u64084805/sim02_20_20_0.5_0.4.sas';
input n1-n10;
run;

data bb;
set aa;
id=1;n=n1; resp=0; eye='L'; group=1; simcase=_N_;output;
id=1;n=n1; resp=0; eye='R'; group=1; simcase=_N_;output;
id=2;n=n2; resp=0; eye='L'; group=1; simcase=_N_;output;
id=2;n=n2; resp=1; eye='R'; group=1; simcase=_N_;output;
id=3;n=n3; resp=1; eye='L'; group=1; simcase=_N_;output;
id=3;n=n3; resp=1; eye='R'; group=1; simcase=_N_;output;
id=4;n=n4; resp=0; eye='L'; group=2; simcase=_N_;output;
id=4;n=n4; resp=0; eye='R'; group=2; simcase=_N_;output;
id=5;n=n5; resp=0; eye='L'; group=2; simcase=_N_;output;
id=5;n=n5; resp=1; eye='R'; group=2; simcase=_N_;output;
id=6;n=n6; resp=1; eye='L'; group=2; simcase=_N_;output;
id=6;n=n6; resp=1; eye='R'; group=2; simcase=_N_;output;
id=7;n=n7; resp=0; eye='L'; group=1; simcase=_N_;output;
id=8;n=n8; resp=1; eye='R'; group=1; simcase=_N_;output;
id=9;n=n9; resp=0; eye='L'; group=2; simcase=_N_;output;
id=10;n=n10; resp=1; eye='R'; group=2; simcase=_N_;output;
drop n1-n10;
run;

proc genmod data=bb descending;
ods output contrasts=contrasts;
freq n;
class group id;
model resp=group / link=logit dist=bin;
repeated subject=id / type=UN corrw;
by simcase;
contrast 'group' group 1 -1;
run;

proc sql;
 create table rej_indicator as 
 select ProbChiSq,
 case 
 when ProbChiSq<0.05 then 1
 when ProbChiSq>=0.05 then 0
 end as rejection
 from contrasts;
select sum(rejection)/10000 as type1
from rej_indicator;
run;
